<template>
  <d-card
    :to="to"
    :loadingTitle="loadingTitle"
    :titleNotFound="titleNotFound"
    :loadingContent="loadingContent"
    :contentNotFound="contentNotFound"
    :loadingContentType="loadingContentType"
  >
    <template slot="header">
      <span class="font-weight-black white--text justify-space-between">{{
        data.descripcion
      }}</span>
      <strong class="white--text float-right justify-space-between">
        {{ data.calificacion }}%
      </strong>
    </template>
    <template slot="content">
      <div
        style="height : 100px; width: 100%;"
        class="d-inline-grid  align-center"
      >
        <div>
          <template v-for="(negocio, index) in data.negocios">
            <div :key="index" class="d-flex mt-1 mb-1">
              <v-img
                :lazy-src="negocio.imagen"
                max-height="30"
                max-width="40"
                contain
                :src="negocio.imagen"
              />
              <v-progress-linear
                :value="negocio.calificacion"
                :color="negocio.color"
                height="15"
                rounded
                background-color="grey lighten-2"
                class="align-self-center rounded-pill ml-5"
              >
                <template v-slot:default="{ value }">
                  <strong
                    style="font-size:12px"
                    :style="
                      'color:' + getContrastColorByBaseColor(negocio.color)
                    "
                    >{{ value }}</strong
                  >
                </template>
              </v-progress-linear>
            </div>
          </template>
        </div>
      </div>
    </template>
  </d-card>
</template>
<style>
.d-inline-grid {
  display: inline-grid;
}
</style>
<script>
import CardChart from "@/views/secure/sistema-informacion/dashboards/v2/disciplinas/components/graficas/CardChart.vue";
import store from "@/store";
const serviceCommons = store.state.serviceCommons;
export default {
  name: "Component-Disciplina",
  components: {
    "d-card": CardChart,
  },
  props: {
    loadingTitle: {
      required: false,
      default: true,
      type: Boolean,
    },
    loadingContent: {
      required: false,
      default: true,
      type: Boolean,
    },
    titleNotFound: {
      required: false,
      default: false,
      type: Boolean,
    },
    contentNotFound: {
      required: false,
      default: false,
      type: Boolean,
    },
    to: {
      required: false,
      default: null,
      type: Object,
    },
    data: {
      required: true,
      type: Object,
    },
  },
  data() {
    return {
      loadingContentType:
        "list-item-avatar, divider, list-item-avatar, divider, list-item-avatar",
    };
  },
  methods: {
    getContrastColorByBaseColor(color) {
      return serviceCommons.getContrastColorByBaseColor(color);
    },
  },
};
</script>
